Status: Resolved Priority: Should have
Subject: Move link.widget & uri.widget ViewHelpers to Widget subfolder
Description

Widget related ViewHelpers should be in the Widget subfolder of Fluid (as in v4).
link.widget should be widget.link, uri.widget should be widget.uri.
Existing ViewHelper classes should extend the moved classes and marked deprecated.

Associated revisions
Revision b2ae1978 - 2012-05-09 13:03 - Bastian Waidelich

[!!!][TASK] Move link.widget & uri.widget Widget subfolder

This moves widget related ViewHelpers link.widget & uri.widget
to the Widget subfolder (as in v4).

Instead of link.widget you should use widget.link, instead of
uri.widget widget.uri from now on.

This is not a breaking change right now as the old classes
are still there (with @deprecated annotation). But if you
used one of the ViewHelpers you should adjust your code.

Change-Id: If1db3d17073890e84aa0dd88083bd3eaf8dc9ee5
Resolves: #34231
Releases: 1.1

History
#1 - 2012-03-08 20:50 - Bastian Waidelich
- Status changed from Accepted to Under Review

see https://review.typo3.org/#/c/9181/

#2 - 2012-05-08 17:27 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9181

#3 - 2012-05-09 13:06 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9181

#4 - 2012-05-15 02:38 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b2ae19789639c72c88c5de11e9ecd5e5a939bcfb.
